/* 
 * 
 * eulerForce v0.9.0
 * 
 * 2013-11-25
 *
 * 
 * 
 * eulerForce -- Laying Out Euler Diagrams Using a Force-Directed Approach	    
 * 		http://www.eulerdiagrams.org/eulerForce
 * 
 * 
 * 		Copyright (C) 2013, Luana Micallef and Peter Rodgers. 
 * 		All rights reserved.
 * 		
 * 
 * 		This file is part of eulerForce.
 * 			
 * 		eulerForce is free software: you can redistribute it and/or modify
 * 		it under the terms of the GNU General Public License as published 
 * 		by the Free Software Foundation, either version 3 of the License, 
 * 		or (at your option) any later version.
	
 * 		eulerForce is distributed in the hope that it will be useful,
 * 		but WITHOUT ANY WARRANTY; without even the implied warranty of
 * 		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * 		GNU General Public License for more details.
	
 * 		A copy of the GNU General Public License is provided with 
 * 		eulerForce (in a file named 'COPYING'). Alternatively, see 
 * 		<http://www.gnu.org/licenses/gpl.html>.
 * 			
 */



package euler;

import java.awt.geom.Line2D;
import java.awt.geom.Point2D;
import java.util.ArrayList;
import java.util.Arrays;


/**
 * To instantiate, define and handle the edges of the polygons defining the curves of an Euler diagram
 * 
 */



public class ContourLine {
	Line2D.Double contourLine;
	String contourLabel;
	ArrayList<Point2D.Double> crossPoints;
	
	public ContourLine(String label, Line2D.Double line){
		contourLine = line;
		contourLabel = label;
		crossPoints = new ArrayList<Point2D.Double>();
	}
	public String getLabel(){
		return contourLabel;
	}
	public Line2D.Double getLine(){
		return contourLine;
	}
	public ArrayList<Point2D.Double> getCrossPoints(){
		return crossPoints;
	}
	public void setLabel(String label){
		contourLabel = label;
	}
	public void appendLabel(String s){
		if(!contourLabel.contains(s)){
			contourLabel+=s;
		}
	}

	public void addCrossPoint(Point2D.Double p){
		if(!crossPoints.contains(p))
		crossPoints.add(p);
	}
	public boolean equal(ContourLine l){
		if(l.getLabel().compareTo(this.getLabel())==0 && l.getLine().equals(this.contourLine)){
			return true;
		}
		return false;
	}
	public void sortCorssPoints(){
		
		if(crossPoints.size()>1){
			ArrayList<Point2D.Double> sortedPoints = new ArrayList<Point2D.Double>();
			Point2D startP = contourLine.getP1();
			double dis [] = new double[crossPoints.size()];
			for(int i = 0 ; i<crossPoints.size(); i++){
				Point2D p = crossPoints.get(i);
				dis[i] = pjr.graph.Util.distance(startP.getX(), startP.getY(),
						p.getX(), p.getY());
			}		
			 Arrays.sort(dis);
			 for(int j = 0 ; j< dis.length; j++){
				 for(Point2D.Double currentP: crossPoints){
					 double d = pjr.graph.Util.distance(startP.getX(), startP.getY(),currentP.getX(),currentP.getY());
					 if(d == dis[j]){						 
						 if(!sortedPoints.contains(currentP)){
							 sortedPoints.add(currentP);
						 }
					 }
				 }
			 }
			 
			 crossPoints =  sortedPoints;
			 for(Point2D.Double p0: crossPoints){
			 }
		}
		
	}
	
	

}
