/* 
 * 
 * eulerForce v0.9.0
 * 
 * 2013-11-25
 *
 * 
 * 
 * eulerForce -- Laying Out Euler Diagrams Using a Force-Directed Approach	    
 * 		http://www.eulerdiagrams.org/eulerForce
 * 
 * 
 * 		Copyright (C) 2013, Luana Micallef and Peter Rodgers. 
 * 		All rights reserved.
 * 		
 * 
 * 		This file is part of eulerForce.
 * 			
 * 		eulerForce is free software: you can redistribute it and/or modify
 * 		it under the terms of the GNU General Public License as published 
 * 		by the Free Software Foundation, either version 3 of the License, 
 * 		or (at your option) any later version.
	
 * 		eulerForce is distributed in the hope that it will be useful,
 * 		but WITHOUT ANY WARRANTY; without even the implied warranty of
 * 		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * 		GNU General Public License for more details.
	
 * 		A copy of the GNU General Public License is provided with 
 * 		eulerForce (in a file named 'COPYING'). Alternatively, see 
 * 		<http://www.gnu.org/licenses/gpl.html>.
 * 			
 */



package euler.utilities;

import java.awt.event.*;


/**
 * Diagram utility for random wellformed diagrams
 * 
 */

public class DiagramUtilityRandomWellformedDiagram extends DiagramUtility {


	protected int numberOfSets = 4;
	protected boolean layoutFlag = false;
	
	protected boolean isDiagramCorrect = true;

	

	public DiagramUtilityRandomWellformedDiagram(int numberOfSets) {
		super(KeyEvent.VK_R,"Create Random Graph",KeyEvent.VK_R);
		this.numberOfSets = numberOfSets;
	}

	public DiagramUtilityRandomWellformedDiagram(int inAccelerator, String inMenuText, int inMnemonic, int numberOfSets, boolean layout) {
		
		super(inAccelerator, inMenuText, inMnemonic);
		this.numberOfSets = numberOfSets;
		this.layoutFlag = layout;
	}
	
	public int getNumberOfSets() {return numberOfSets;}
	public boolean getIsDiagramCorrect(){return isDiagramCorrect;}

	public void apply() {
	
	}
	
	
}
