/* 
 * 
 * eulerForce v0.9.0
 * 
 * 2013-11-25
 *
 * 
 * 
 * eulerForce -- Laying Out Euler Diagrams Using a Force-Directed Approach	    
 * 		http://www.eulerdiagrams.org/eulerForce
 * 
 * 
 * 		Copyright (C) 2013, Luana Micallef and Peter Rodgers. 
 * 		All rights reserved.
 * 		
 * 
 * 		This file is part of eulerForce.
 * 			
 * 		eulerForce is free software: you can redistribute it and/or modify
 * 		it under the terms of the GNU General Public License as published 
 * 		by the Free Software Foundation, either version 3 of the License, 
 * 		or (at your option) any later version.
	
 * 		eulerForce is distributed in the hope that it will be useful,
 * 		but WITHOUT ANY WARRANTY; without even the implied warranty of
 * 		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * 		GNU General Public License for more details.
	
 * 		A copy of the GNU General Public License is provided with 
 * 		eulerForce (in a file named 'COPYING'). Alternatively, see 
 * 		<http://www.gnu.org/licenses/gpl.html>.
 * 			
 */



package forcedirected;


/**
 * As GraphDrawer, but for SimpleDiagramPanel
 * 
 */


public abstract class SimpleDiagramDrawer {

	/** the associated DiagramPanel */
	protected SimpleDiagramPanel simpleDiagramPanel = null;
	/** the key that should be pressed to start the graph drawing method. Codes can be found in the KeyEvent class. */
	protected int acceleratorKey = 0;
	/** the message that should appear in menu options to start the graph drawing method */
	protected String menuText;
	/** the menu mnemonic for initiating the layout. Codes can be found in the KeyEvent class. */
	protected int mnemonicKey = 0;

	
	/** Minimal constructor. */
	protected SimpleDiagramDrawer(String inMenuText) {
		menuText = inMenuText;
	}

	/** Trivial constructor. */
	protected SimpleDiagramDrawer(int inAccelerator, String inMenuText) {
		acceleratorKey = inAccelerator;
		menuText = inMenuText;
	}

	/** Trivial constructor. */
	protected SimpleDiagramDrawer(int inAccelerator, String inMenuText, int inMnemonic) {
		acceleratorKey = inAccelerator;
		menuText = inMenuText;
		mnemonicKey = inMnemonic;
	}

	/** Trival accessor. */
	public SimpleDiagramPanel getSimpleDiagramPanel() {return simpleDiagramPanel;}
	public void setSimpleDiagramPanel(SimpleDiagramPanel inSimpleDiagramPanel) {simpleDiagramPanel=inSimpleDiagramPanel;}
	/** Trival accessor. */
	public int getAcceleratorKey() {return acceleratorKey;}
	public void setAcceleratorKey(int inKey) {acceleratorKey=inKey;}
	/** Trival accessor. */
	public String getMenuText() {return menuText;}
	public void setMenuText(String inMenuText) {menuText=inMenuText;}
	/** Trival accessor. */
	public int getMnemonicKey() {return mnemonicKey;}
	public void setMnemonicKey(int inKey) {mnemonicKey=inKey;}	
	

	/** Overwrite this with your layout method. */
	public abstract void layout();


}



