/* 
 * 
 * eulerForce v0.9.0
 * 
 * 2013-11-25
 *
 * 
 * 
 * eulerForce -- Laying Out Euler Diagrams Using a Force-Directed Approach	    
 * 		http://www.eulerdiagrams.org/eulerForce
 * 
 * 
 * 		Copyright (C) 2013, Luana Micallef and Peter Rodgers. 
 * 		All rights reserved.
 * 		
 * 
 * 		This file is part of eulerForce.
 * 			
 * 		eulerForce is free software: you can redistribute it and/or modify
 * 		it under the terms of the GNU General Public License as published 
 * 		by the Free Software Foundation, either version 3 of the License, 
 * 		or (at your option) any later version.
	
 * 		eulerForce is distributed in the hope that it will be useful,
 * 		but WITHOUT ANY WARRANTY; without even the implied warranty of
 * 		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * 		GNU General Public License for more details.
	
 * 		A copy of the GNU General Public License is provided with 
 * 		eulerForce (in a file named 'COPYING'). Alternatively, see 
 * 		<http://www.gnu.org/licenses/gpl.html>.
 * 			
 */



package pjr.graph.triangulator;


/**
 * Polygon triangulator
 *
 */

  
public interface Triangulator {       
    /**   
     * Get a count of the number of triangles produced   
     *    
     * @return The number of triangles produced   
     */   
    public int getTriangleCount();   
       
    /**   
     * Get a point on a specified generated triangle   
     *    
     * @param tri The index of the triangle to interegate   
     * @param i The index of the point within the triangle to retrieve   
     * (0 - 2)   
     * @return The x,y coordinate pair for the point   
    */   
    public double[] getTrianglePoint(int tri, int i);   
       
   /**   
     * Add a point that forms part of the outer polygon   
     *    
     * @param x The x coordinate of the point   
     * @param y The y coordiante of the point   
     */   
   public void addPolyPoint(double x, double y);   
       
   /**   
    * Start a hole in the polygon   
     */   
    public void startHole();   
       
    /**   
     * Run the triangulation   
     *    
     * @return True if successful   
    */   
    public boolean triangulate();   
}   

